(function ($, Drupal, once) {
  'use strict';

  Drupal.behaviors.remoteMediaTranscription = {
    attach: function (context, settings) {
      // Get animation speed from settings
      const animationSpeed = settings.remoteMediaTranscription?.animationSpeed || 400;
      
      once('transcription-toggle', '.transcription-toggle', context).forEach(function (button) {
        $(button).on('click', function (e) {
          e.preventDefault();
          const $content = $('#' + this.getAttribute('aria-controls'));
          const $showText = $(this).find('.show-text');
          const $hideText = $(this).find('.hide-text');
          
          $content.slideToggle(animationSpeed, function() {
            const isVisible = $content.is(':visible');
            button.setAttribute('aria-expanded', isVisible);
            $showText.toggle(!isVisible);
            $hideText.toggle(isVisible);
          });
        });
      });
    }
  };
})(jQuery, Drupal, once);
